Bug 961529 - Missing "net-tools" dependency
Missing "net-tools" dependency
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rp-pppoe (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 16:18 EDT by Dams
Modified: 2013-05-13 10:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-13 10:30:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dams 2013-05-09 16:18:23 EDT
Description of problem: I've ran "yum install rp-pppoe", on my raspberry-pi fedora 18 remix, and it ended with "ifup ppp0" failing (exit code != 0). After some investigations, it appears that the pppoe-status and pppoe-start scripts require both the "netstat" command, which is part of the net-tools package, and which is not default-installed on the raspberry remix.

Version-Release number of selected component (if applicable): rp-pppoe-3.10-13.fc18 (but earlier releases are also affected).


How reproducible: 100% reproducible.


Actual results: pppoe-status fails to run and says ppp interface is not up, even when it actually is.

Expected results: pppoe-status should not lie.
Comment 1 Ngo Than 2013-05-13 10:30:51 EDT
it's fixed in rawhide

Note You need to log in before you can comment on or make changes to this bug.